com.mapinfo.midev.data

## Class DataSourceNamespace

- java.lang.Object
- - com.mapinfo.midev.data.DataSourceNamespace

    public final class DataSourceNamespace
    extends Object

Identifies a namespace for a data source.

### Constructor Summary

Constructors
Constructor and Description
`DataSourceNamespace(String schema)` Crete a namespace for a data source.
`DataSourceNamespace(String catalog, String schema)` Crete a namespace for a data source.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getCatalog()` Get the catalog for the data source.
`String` `getSchema()` Get the schema for the data source.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataSourceNamespace

    public DataSourceNamespace(String schema)

Crete a namespace for a data source.

Parameters:
  `schema` - The schema for the data source.

#### DataSourceNamespace

    public DataSourceNamespace(String catalog,
                               String schema)

Crete a namespace for a data source.

Parameters:
  `catalog` - The catalog for the data source.
  `schema` - The schema for the data source.

### Method Detail

#### getCatalog

    public String getCatalog()

Get the catalog for the data source.

Returns:
  the catalog for the data source.

#### getSchema

    public String getSchema()

Get the schema for the data source.

Returns:
  the schema for the data source.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`